/* ----------------------- global ----------------------- */

body {
  margin: 0;
  padding: 0;
  margin-block-start: 0;
  margin-block-end: 0;
}

* {
  box-sizing: border-box;
}

h1,
h2,
h3,
h4,
h5,
h5 {
  margin-block-start: 0;
  margin-block-end: 0;
}

h1 {
  /* font-family: Inter; */
  font-family: Roboto;
  font-style: normal;
  font-weight: 500;
  font-size: 82px;
  line-height: 100%;
  letter-spacing: -0.05em;
  color: #000000;
}

h2 {
  font-family: Roboto;
  font-style: normal;
  font-weight: 500;
  font-size: 56px;
  line-height: 66px;
  /* color: #000; */
}

h3 {
  font-family: Roboto;
  font-style: normal;
  font-weight: 400;
  font-size: 28px;
  line-height: 140%;
  color: #000;
}

h4 {
  font-family: Roboto;
  font-style: normal;
  font-weight: 400;
  font-size: 24px;
  line-height: 28px;
  color: #000;
}

h5 {
  font-family: "Krona One", sans-serif;
  text-transform: uppercase;
}

p {
  font-family: Roboto;
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 21px;
  color: #000;
  margin-block-start: 0;
  margin-block-end: 0;
  margin: 0;
}

.container {
  max-width: 1400px;
  margin: 0 auto;
  padding: 0 20px;
}

/* buttons admin */
/* .btn {
  background-color: transparent;
  border: 1px solid #9367ff;
  border-radius: 25px;
  transition-duration: 0.5s;
}
.btn:hover {
  background-color: #9367ff;
  border: 1px solid #9367ff;
  transition-duration: 0.5s;
  color: #fff;
} */
.btn-container {
  margin: auto;
  width: fit-content;
}

.button {
  background-color: transparent;
  border: 1px solid #f42557;
  border-radius: 20px;
  color: #f42557;
  text-transform: uppercase;
  font-size: 14px;
  line-height: 17px;
  padding: 10px 25px;
  transition-duration: 0.5s;
}
.button:hover {
  text-decoration: none;
  transition-duration: 0.5s;
  color: #fff;
  background-color: #f42557;
}

.button-blue {
  transition-duration: 0.5s;
  border: 1px solid #235bf7;
  color: #235bf7;
}
.button-blue:hover {
  transition-duration: 0.5s;
  background-color: #235bf7;
  color: #fff;
}

.button-blue-fill {
  background-color: #235bf7;
  border: 1px solid #235bf7;
  color: #fff;
}
.button-blue-fill:hover {
  border: 1px solid #235bf7;
  background-color: #fff;
  color: #235bf7;
}
.button-grey {
  border: 1px solid rgba(0, 0, 0, 0.3);
  color: #000;
}
.button-grey:hover {
  background-color: rgba(0, 0, 0, 0.3);
  color: #fff;
}

.btn-available p {
  text-decoration: none;
  color: white;
  padding: 4px 12px;
  border-radius: 20px;
  width: max-content;
  background: #5cb85c;
}

.btn-agreed p {
  text-decoration: none;
  color: white;
  padding: 4px 12px;
  border-radius: 20px;
  width: max-content;
  background: #e08632;
}

.btn-sold p {
  text-decoration: none;
  color: white;
  padding: 4px 12px;
  border-radius: 20px;
  width: max-content;
  background: #d9534f;
}

/* ----------------------- background-image ----------------------- */

.background-image {
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  height: 100vh;
}

/* ----------------------- position ----------------------- */

.center {
  text-align: center;
}

/* ----------------------- text ----------------------- */

.bottomup-line {
  margin-left: 10px;
  display: grid;
  align-items: center;
}
.bottomup-line .bline {
  width: 28px;
  height: 8px;
  background-color: #235bf7;
}

.uppercase {
  text-transform: uppercase;
}
.blue {
  color: #235bf7;
}
.red {
  color: #f42557;
}
.wht {
  color: #fff;
}
.blck {
  color: #000;
}
.text-stroke {
  color: transparent;
  -webkit-text-stroke: 1px #fff;
}
.text-stroke-black {
  color: transparent;
  -webkit-text-stroke: 1px #000;
}

/* ----------------------- icon ----------------------- */
.icon-wht {
  color: #fff;
}

/* ----------------------- utilities ----------------------- */
.grid-2 {
  grid-column: span 2;
}

.grid-3 {
  grid-column: span 3;
}

.caret-off::before {
  display: none;
}
.caret-off::after {
  display: none;
}
}

@media (max-width: 500px) {
  h2 {
    font-size: 36px;
    line-height: 40px;
  }

  p {
    font-family: Roboto;
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 21px;
    color: #000;
  }
  h3 {
    font-size: 24px;
    line-height: 28px;
  }

  h4 {
    font-size: 20px;
    line-height: 22px;
  }
}
@media (max-height: 450px) {
  h2 {
    font-size: 40px;
    line-height: 44px;
  }

  p {
    font-family: Roboto;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 20px;
    color: #000;
  }
  h4 {
    font-size: 20px;
    line-height: 22px;
  }
}
